"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.read = exports.fetch = void 0;
const tslib_1 = require("tslib");
const js_yaml_1 = tslib_1.__importDefault(require("js-yaml"));
const fs_1 = require("../../../../util/fs");
async function fetch(http, url) {
    const response = await http.get(url);
    return js_yaml_1.default.load(response.body);
}
exports.fetch = fetch;
async function read(path) {
    const fileContent = await (0, fs_1.readLocalFile)(path, 'utf8');
    return js_yaml_1.default.load(fileContent);
}
exports.read = read;
//# sourceMappingURL=yaml.js.map